<form method="post">
    <div class="form-group">
        <label>Enter N</label>
        <input type="number" min="1" step="1" placeholder="1" name="n" class="form-control">
    </div>
    <div class="form-group">
        <button class="btn-primary btn">Show result</button>
    </div>
    <div class="row">
        </hr>
    </div>
    <?php var_dump($arr); ?>
</form>